<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <% include _head %>
    <link rel="stylesheet" href="/css/daterangepicker.min.css">
    <link rel="stylesheet" href="/css/custom_switch.css">
</head>

<body>
<% include _loading %>
<nav class="navbar">
    <% include _lang %>
</nav>
<div class="container">
    <h1 class="display-3"><%= __('profilEleve_title') %> <span id="lblEleveName"><%= eleve.nom %></span></h1>
    <h3 class="display-5 ml-5"><%= eleve.classe %> (<%= eleve.degre %>)</h3>
    <div class="row mr-5 mb-4 ml-4">
        <label for="eleveName"><%= __('profilEleve_eleve') %> </label>
        <div class="input-group">
            <input value="<%= eleve.nom %>" type="text" name="eleveName" id="eleveName" class="form-control" required
                   autofocus>
            <span class="input-group-append">
            <input type="button" onclick="ui_profileleve.changeName()" value="<%= __('profilEleve_modify') %>"
                   class="btn btn-primary">
          </span>
        </div>
    </div>

    <div class="row" id="statsContainer" style="background-color: #FFFFFF">
        <div class="col-3">
            <h4 style="margin: 10px 0px 10px 0px;"><%= __('stats_games') %></h4>
            <div class="list-group-flush" style="overflow-y: scroll; max-height: 250px; min-height: 250px" id="games">
                <li class="list-group-item">
                    <div class="custom-control custom-radio">
                        <input type="radio" id="allGames" name="gameRadio" class="custom-control-input"
                               onclick="ui_profileleve.resetGame()" checked="true">
                        <label class="custom-control-label" for="allGames"><%= __('stats_all_games') %></label>
                    </div>
                </li>
            </div>
            <h4 style="margin: 10px 0px 10px 0px;"><%= __('stats_tags') %></h4>
            <div class="list-group-flush" style="overflow-y: scroll; max-height: 250px; min-height: 250px" id="tags">
                <li class="list-group-item">
                    <div class="custom-control custom-radio">
                        <input type="radio" id="allTags" name="tagRadio" class="custom-control-input"
                               onclick="ui_profileleve.resetTag()" checked="true">
                        <label class="custom-control-label" for="allTags"><%= __('stats_all_tags') %></label>
                    </div>
                </li>
            </div>

            <button class="btn btn-outline-primary" style="width: 100%; margin-top: 25px"
                    onclick="ui_profileleve.applyFilter();" id="applyStatsFilter">
                <%= __('stats_apply_filter') %>
            </button>
        </div>
        <div class="col-9">
            <div class="row">
                <div class="col-7">
                    <div id="statsRange"
                         style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%; margin-top: 10px">
                        <i class="fa fa-calendar"></i>&nbsp;
                        <span></span> <i class="fa fa-caret-down"></i>
                    </div>
                </div>
                <div class="col-5">
                    <div class="row" style="margin-top: 10px;">
                        <h5 style="margin-top: 6px;margin-right: 15px"><%= __('stats_display_all_date')%></h5>
                        <div class="custom-switch custom-switch-label-io">
                            <input class="custom-switch-input" id="displayAllDate" type="checkbox" onchange="ui_profileleve.displayAllDates(this.checked);">
                            <label class="custom-switch-btn" for="displayAllDate"></label>
                        </div>
                    </div>
                </div>
            </div>
            <canvas id="statsCanvas" width="1000px" height="800px"
                    style="max-width: 1000px; max-height: 800px;"></canvas>
            <div style="display: none; font-family: Arial" id="htmlForPDF">
                <h1 style="font-family: Arial"><%=eleve.classe%> - <%= eleve.nom %></h1>
                <br>
                <br>
                <h3 style="font-family: Arial">Filtres appliqués :</h3>
                <br>
                <h4 style="font-family: Arial">Jeux</h4>
                <ul id="appliedFilterGame" style="font-family: Arial"></ul>
                <h4 style="font-family: Arial">Tags</h4>
                <ul id="appliedFilterTag" style="font-family: Arial"></ul>
            </div>
        </div>
    </div>
    <div class="mt-5 ml-4 pb-2">
        <button class="btn btn-danger float-left mr-5"
                onclick="window.location.href='/classes'"><%= __('global_back') %></button>
        <div class="btn-group float-left">
            <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownExport" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                <%= __('profilEleve_send') %>
            </button>
            <div class="dropdown-menu">
                <a class="dropdown-item" onclick="ui_profileleve.askForCSV()" href="#">CSV</a>
                <a class="dropdown-item" onclick="ui_profileleve.exportPdf()" href="#">PDF</a>
            </div>
        </div>
    </div>
</div>
<script src="/scripts/lib/chart.min.js"></script>
<script src="/scripts/lib/popper-tooltip.js"></script>
<script src="/scripts/lib/tippy.min.js"></script>
<script type="text/javascript" src="/scripts/lib/jspdf.js"></script>
<script type="text/javascript" src="/scripts/lib/moment.js"></script>
<script type="text/javascript" src="/scripts/lib/daterangepicker.min.js"></script>
<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_profileleve.js"></script>
<script type="text/javascript">

    var lang = '<%- lang %>';
    moment.locale('<%- lang %>');

    var pickerLocal = {
        'format': 'DD MMMM YYYY',
        'separator': ' <%= __('stats_picker_to') %> ',
        'applyLabel': '<%= __('stats_picker_validate') %>',
        'cancelLabel': '<%= __('stats_picker_cancel') %>',
        'fromLabel': '<%= __('stats_picker_from') %>',
        'toLabel': '<%= __('stats_picker_to') %>',
        'customRangeLabel': '<%= __('stats_picker_range') %>'
    };

    var tooltipLocal = {
        'games_in_tag':' <%= __('stats_games_in_tag') %> ',
        'eval_for_game':' <%= __('stats_eval_for_game') %> '
    }

    var pickerRange = {
        '<%= __('stats_picker_today') %>': [moment(), moment()],
        '<%= __('stats_picker_yesterday') %>': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
        '<%= __('stats_picker_last_7_days') %>': [moment().subtract(6, 'days'), moment()],
        '<%= __('stats_picker_last_30_days') %>': [moment().subtract(29, 'days'), moment()],
        '<%= __('stats_picker_this_month') %>': [moment().startOf('month'), moment().endOf('month')],
        '<%= __('stats_picker_last_month') %>': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    };
</script>
</body>

</html>
